import { AfterViewInit, OnDestroy } from '@angular/core';
import { LfI18n, LfRouter, LfStorage, PathBased } from '@lightweightform/core';
import { InlineValue } from '../../abstract/inline-value';
/**
 * LF number component.
 */
export declare class NumberComponent extends InlineValue implements AfterViewInit, OnDestroy {
    /**
     * Number of decimal digits to show.
     */
    scale: number;
    /**
     * Number of digits to show on the left side of the number.
     */
    leadingZeroes: number;
    /**
     * Numeric input instance associated with the component.
     */
    private numericInput?;
    private targetsChangeSubscription;
    private disposeObserveOptions;
    private disposeObserveValue;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n, lfRouter: LfRouter | null);
    /**
     * Number's prefix.
     */
    get prefix(): string;
    /**
     * Number's suffix.
     */
    get suffix(): string;
    /**
     * Number's decimal separator.
     */
    get decimalSeparator(): string;
    /**
     * Number's thousands separator.
     */
    get thousandsSeparator(): string;
    get value(): number | null | undefined;
    get formattedValue(): string;
    /**
     * Whether to show the "is required" icon on the component.
     */
    get showIsRequired(): boolean;
    get min(): number | undefined;
    get max(): number | undefined;
    /**
     * Numeric input options.
     */
    private get numericInputOptions();
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * Action to run on every `input` event of the text input.
     */
    _onInput(): void;
    protected validatePath(): void;
    private newNumericInput;
}
