import { OnInit } from '@angular/core';
import { LfI18n, LfRouter, LfStorage, PathBased } from '@lightweightform/core';
import { ValidationIssue } from '@lightweightform/storage';
import { Toggleable } from '../../abstract/toggleable';
/**
 * Validation panel component.
 */
export declare class ValidationPanelComponent extends Toggleable implements OnInit {
    private lfRouter;
    /**
     * Path currently being viewed.
     */
    private _currentPath;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n, lfRouter: LfRouter);
    get errorsText(): string;
    get warningsText(): string;
    get noIssuesText(): string;
    get focusButtonTooltip(): any;
    get nextButtonTooltip(): any;
    get prevButtonTooltip(): any;
    get closeButtonTooltip(): any;
    get isPending(): boolean;
    get currentPath(): string;
    get currentLabel(): string;
    get hasNext(): boolean;
    get hasPrevious(): boolean;
    get errors(): ValidationIssue[];
    get warnings(): ValidationIssue[];
    get hasNoIssues(): boolean;
    get panelType(): "success" | "secondary" | "danger" | "warning";
    get shouldDisableFocusButton(): boolean;
    private get _pages();
    get nPages(): number;
    get currentPathIndex(): number;
    private get _validationIssues();
    show(): void;
    triggerFocus(): void;
    next(): void;
    previous(): void;
    /**
     * Label associated with the given path.
     * @param path Path from which to fetch label.
     * @returns Label of given path.
     */
    private labelOf;
    private navigateToCurrentPath;
}
