import { LfI18n, LfStorage, PathBased } from '@lightweightform/core';
/**
 * Component used to debug information about the state of a value.
 */
export declare class ValueStateComponent extends PathBased {
    /**
     * Whether the application is in production mode.
     */
    inProduction: boolean;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n);
    /**
     * State properties where each "promise" is transformed into an object for
     * easier rendering as a JSON. Also hides the `$mobx` property.
     */
    get stateProperties(): Record<string, any>;
    /**
     * Whether the state properties contain at least one async property.
     */
    get hasAsyncProperties(): boolean;
}
